<div class="text-center" *ngIf="isLogged; else loggedOut">
    <h2>Registro exitoso</h2>
</div>

<ng-template #loggedOut>
    <div class="container d-flex justify-content-center">
        <div class="card">
            <div class="card-header">
                <ul class="nav nav-tabs">
                    <li class="nav-item">
                        <a class="nav-link" routerLink="/login">Iniciar sesión</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link active" routerLink="/register">Crear usuario</a>
                    </li>

                </ul>
            </div>
            <div class="card-body">
                <form #f="ngForm" (ngSubmit)="onRegister()" novalidate>
                    <div class="form-group">
                        <label for="name">Nombres</label>
                        <input type="text" name="name" id="name" class="form-control" [(ngModel)]="name" required>
                    </div>
                    <div class="form-group">
                        <label for="lastName">Apellidos</label>
                        <input type="text" name="lastName" id="lastName" class="form-control" [(ngModel)]="lastName"
                            required>
                    </div>
                    <div class="form-group">
                        <label for="userName">Nombre de usuario</label>
                        <input type="text" name="userName" id="userName" class="form-control" [(ngModel)]="userName"
                            required>
                    </div>
                    <div class="form-group">
                        <label for="password">Contraseña</label>
                        <input type="password" name="password" id="password" class="form-control" [(ngModel)]="password"
                            required>
                    </div>
                    <div class="form-group">
                        <label for="email">Correo electrónico</label>
                        <input type="email" name="email" id="email" class="form-control" [(ngModel)]="email" required>
                    </div>
                    <div class="form-group">
                        <label for="phone">Teléfono</label>
                        <input type="text" name="phone" id="phone" class="form-control" [(ngModel)]="phone" required>
                    </div>
                    <div class="form-group">
                        <label for="imageUrl">Foto de perfil</label>
                        <input type="text" name="imageUrl" id="imageUrl" class="form-control" [(ngModel)]="imageUrl"
                            required>
                    </div>
                    <div class="form-group">
                        <button class="btn btn-outline-success btn-block" [disabled]="!f.valid">
                            <i class="fas fa-sign-in-alt"></i> Crear Cuenta</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</ng-template>